Get contract

GET

GET https://external-api.lia.com.br/external_api/v1/contracts/:id

Only Lia’s global contracts whose availability is enabled or disabled can be fetched. Any other ID, including a company’s own version of a contract, answers 404.

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/contracts/ac66b808-135d-5e59-857e-4ea1a8c0e38d' \
--header 'Authorization: Bearer YOUR_API_TOKEN'

Example response

{
    "addendum": "",
    "availability": "enabled",
    "contract_type": "service",
    "created_at": "2025-03-10T14:22:31.418-03:00",
    "description": "Contrato da alegria.",
    "id": "ac66b808-135d-5e59-857e-4ea1a8c0e38d",
    "updated_at": "2025-03-10T14:22:31.418-03:00"
}

Example response when the contract is not found

404 Not Found. See Errors.

{
    "status": 404,
    "error": "record_not_found",
    "messages": [
        {
            "message": "Não foi possível encontrar um registro com os parâmetros enviados.",
            "model": "Contract"
        }
    ]
}